using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BS.Shared.DataContracts.Reports
{
    public partial class AuslastungAnalysisEmployeeDC
    {
        public String DisplayName
        {
            get
            {
                string name = "";
                if (EmployeeOid != null)
                {
                    name = EmployeeLastName + ", " + EmployeeFirstName;
                    
                    if (WeeklyTotalHours.HasValue)
                        name += String.Format(" {0:0.##} Std.", WeeklyTotalHours);
                }


                return name;
            }
        }
    }
}
